Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class BouncyCastleProvider

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  java.security.Provider
                      org.bouncycastle.jce.provider.BouncyCastleProvider

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>, ConfigurableProvider

    public final class BouncyCastleProvider

extends Provider
implements ConfigurableProvider

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.security.Provider
`Provider.Service`

Field Summary
`static ProviderConfiguration` | `CONFIGURATION`
`static String` | `PROVIDER_NAME`

Constructor Summary
`BouncyCastleProvider()`

Method Summary

Methods inherited from class java.security.Provider
`clear, elements, entrySet, get, getInfo, getName, getProperty, getService, getServices, getVersion, keys, keySet, load, put, putAll, remove, toString, values`

Methods inherited from class java.util.Properties
`getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, size`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROVIDER_NAME

    public static String PROVIDER_NAME

### CONFIGURATION

    public static final ProviderConfiguration CONFIGURATION

Constructor Detail

### BouncyCastleProvider

    public BouncyCastleProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD